BooleConstant.h File Reference
`#include <polybori/pbori_defs.h>`

Go to the source code of this file.

## Classes

class | polybori::BooleConstant
| This class wraps a bool value, which was not converted to a boolean polynomial or monomial yet. More...

## Namespaces

| polybori

## Functions

CTypes::ostream_type & | polybori::operator<< (CTypes::ostream_type &os, const BooleConstant &rhs)
| Stream output operator. More...
BooleConstant | polybori::operator+ (const BooleConstant &lhs, const BooleConstant &rhs)
BooleConstant | polybori::operator- (const BooleConstant &lhs, const BooleConstant &rhs)
BooleConstant | polybori::operator* (const BooleConstant &lhs, const BooleConstant &rhs)

## Detailed Description

Author
  Alexander Dreyer

Date
  2008-03-05

This file defines an intermediate class for handling bool and int values, which were not converted to Boolean polynomials or monomials yet.

Copyright:
  (c) 2008-2011 by The PolyBoRi Team